[Pkg-mailman-hackers] Pkg-mailman commit - rev 391 - trunk/debian

Riccardo Setti giskard-guest at costa.debian.org
Thu Sep 21 19:26:19 UTC 2006


Author: giskard-guest
Date: 2006-09-21 19:26:18 +0000 (Thu, 21 Sep 2006)
New Revision: 391

Added:
   trunk/debian/mailman.rtupdate
Modified:
   trunk/debian/control
   trunk/debian/rules
Log:
updated mailman to the new python policy

Modified: trunk/debian/control
===================================================================
--- trunk/debian/control	2006-09-20 20:17:17 UTC (rev 390)
+++ trunk/debian/control	2006-09-21 19:26:18 UTC (rev 391)
@@ -4,15 +4,18 @@
 Maintainer: Mailman for Debian <pkg-mailman-hackers at lists.alioth.debian.org>
 Uploaders: Tollef Fog Heen <tfheen at debian.org>, Lionel Elie Mamane <lmamane at debian.org>, Thijs Kinkhorst <thijs at debian.org>, Hector Garcia <hector at debian.org>
 Build-Depends: debhelper (>= 5), autoconf, python-dev, quilt (>= 0.40), dpkg-dev (>= 1.13.19)
+Build-Depends-Indep:  python, python-central (>= 0.4.17)
 Standards-Version: 3.7.2
+XS-Python-Version: current
 
 Package: mailman
 Architecture: any
 Pre-Depends: debconf (>= 1.4.16) | debconf-2.0
-Depends: mailman-common (= ${source:Version}), ${shlibs:Depends}, python (>= 2.2.2.91-1), logrotate, cron (>= 3.0pl1-42), exim4 | mail-transport-agent, apache2 | httpd, ucf (>= 0.28), pwgen, adduser, lsb-base
+Depends: ${python:Depends}, mailman-common (= ${source:Version}), ${shlibs:Depends}, logrotate, cron (>= 3.0pl1-42), exim4 | mail-transport-agent, apache2 | httpd, ucf (>= 0.28), pwgen, adduser, lsb-base
 Recommends: mailman-doc
 Conflicts: suidmanager (<< 0.50), sendmail (<< 8.12.6)
 Suggests: spamassassin, lynx, python2.3-korean-codecs | python2.2-korean-codecs, python-japanese-codecs, listadmin
+XB-Python-Version: ${python:Versions}
 Description: Powerful, web-based mailing list manager
  The GNU Mailing List Manager, which manages email discussion lists
  much like Majordomo and Smartmail. Unlike most similar products,

Added: trunk/debian/mailman.rtupdate
===================================================================
--- trunk/debian/mailman.rtupdate	                        (rev 0)
+++ trunk/debian/mailman.rtupdate	2006-09-21 19:26:18 UTC (rev 391)
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# this script stops mailman before a Python default runtime change and
+# restarts it afterwards
+
+DESC="Mailman MailingList Server"
+NAME="mailman"
+SCRIPTNAME="/etc/init.d/$NAME"
+
+# Read configuration variable file if it is present
+[ -r "/etc/default/$NAME" ] && . "/etc/default/$NAME"
+
+# Load the VERBOSE setting and other rcS variables
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+if [ "$#" != 3 ]; then
+    echo "Usage: $0 {pre-rtupdate|post-rtupdate|rtupdate} <oldruntime> <newruntime>" >&2
+    exit 1
+fi
+
+action="$1"
+oldruntime="$2"
+newruntime="$3"
+
+case "$action" in
+  pre-rtupdate)
+    [ "$VERBOSE" != no ] && log_warning_msg "Stopping $DESC during Python runtime change..."
+    if [ -x "$SCRIPTNAME" ]; then
+        if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
+            invoke-rc.d "$NAME" stop
+        else
+            "$SCRIPTNAME" stop
+        fi
+    fi
+  ;;
+  post-rtupdate)
+    [ "$VERBOSE" != no ] && log_warning_msg "Restarting $DESC after Python runtime change..."
+    if [ -x "$SCRIPTNAME" ]; then
+        if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
+            invoke-rc.d "$NAME" start
+        else
+            "$SCRIPTNAME" start
+        fi
+    fi
+  ;;
+  rtupdate)
+  ;;
+  *)
+    echo "$0 called with unknown argument \`$action'" >&2
+    exit 0
+  ;;
+esac
+

Modified: trunk/debian/rules
===================================================================
--- trunk/debian/rules	2006-09-20 20:17:17 UTC (rev 390)
+++ trunk/debian/rules	2006-09-21 19:26:18 UTC (rev 391)
@@ -60,11 +60,17 @@
 	dh_install -i
 	dh_installdocs -i
 	dh_installchangelogs -i
-
+	
 	install -m 0644 debian/mm_cfg.py debian/mailman-common/usr/lib/mailman/Mailman/mm_cfg.py.dist
-
+	
 	dh_installlogrotate -i --name=mailman
 	dh_installman -i
+	dh_pycentral -pmailman
+	dh_python -pflumotion
+	
+	install -d debian/flumotion/usr/share/python/runtime.d
+	install debian/flumotion.rtupdate debian/flumotion/usr/share/python/runtime.d
+	
 	dh_installinit -i --name=mailman
 	dh_compress -i
 	dh_fixperms -i




More information about the Pkg-mailman-hackers mailing list